;              
CREATE USER IF NOT EXISTS "SA" SALT 'a2b7fba90083f57f' HASH '15116d952f1c1883f258821afde9d8cd3f6445242c313ead18bc8c02226af5e4' ADMIN;          
CREATE MEMORY TABLE "PUBLIC"."MEAL"(
    "MEALNAME" VARCHAR(255) NOT NULL,
    "MEALTYPE" VARCHAR(255) NOT NULL,
    "MEALID" VARCHAR(255),
    "MEALLASTDAY" VARCHAR(255),
    "MEALPERIODICITY" INTEGER NOT NULL
);          
ALTER TABLE "PUBLIC"."MEAL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2" PRIMARY KEY("MEALNAME", "MEALTYPE");        
-- 12 +/- SELECT COUNT(*) FROM PUBLIC.MEAL;    
INSERT INTO "PUBLIC"."MEAL" VALUES
('Macarrones', 'LAUNCH', '611bcdc2-5621-4587-96bd-161109c01838', NULL, 3),
('Pollo asado', 'LAUNCH', '86bf9543-762f-4a07-913f-f771f31179bd', NULL, 2),
('Lentejas', 'LAUNCH', '6ef7c3ea-92d0-415e-809d-693b12d12dee', NULL, 3),
(STRINGDECODE('Alb\u00f3ndigas'), 'LAUNCH', '15f52b90-89a9-4b26-b8e1-416afc033ea1', NULL, 1),
('Ensalada de pasta', 'LAUNCH', '341d364c-7d4d-4323-9af4-cd5db269b088', NULL, 2),
('Pollo empanado', 'DINNER', '6a899f31-efc1-4d14-84df-ce9133e2ffcb', NULL, 1),
('Pescado', 'DINNER', 'a933f5cd-dd5b-40fc-b147-e85ba11834d3', NULL, 2),
('Tortilla', 'DINNER', '03465240-1bb1-46c7-ab99-6fb7bdfd0ca8', NULL, 2),
(STRINGDECODE('Guisantes con jam\u00f3n'), 'DINNER', '402fd9fe-cd33-449c-b6f7-3c1f6d8b4860', NULL, 1),
('Sandwich Mixto', 'DINNER', '5e36b3b0-9a4a-4121-a7da-20de749def51', NULL, 1),
('Chuletas', 'DINNER', 'f7331278-82cd-4f79-b924-f868f463080b', NULL, 2),
('Cocido', 'LAUNCH', 'ba3b742d-33ac-4df1-9faf-41e0bd8f895d', NULL, 4);       
